Apache2 Cookbook v2.0.0 Released


#1

Hi everyone,

It has been a long time coming, but the day has finally come! It has been
about 10 months since the OneHealth team started working on Apache 2.4
support in the apache2 cookbook. I am glad to announce that with all of
your feedback and support we are ready to release this work.

There is still plenty to do for the cookbook and welcome any feedback for
future releases, but it is a great milestone to get this released. The
cookbook still supports apache httpd 2.2, however, it does it in a more 2.4
compatible way. Because of this some configuration files and directives
will not load correctly without making updates to your templates and
cookbooks.

We have bumped the major version number to reflect the significant amount
of changes and incompatibility you may experience. It may be a drop in
replacement for some, but very likely not for many of you. It is unlikely
this new version is fully compatible with your existing cookbooks!

Please look at the CHANGELOG
https://github.com/onehealth-cookbooks/apache2/blob/v2.0.0/CHANGELOG.md
for an overview of the changes.

You should lock your infrastructure at apache2 < 2.0.0 until you are ready
to upgrade.

Environment locks:

{
“cookbook_versions”: {
“apache2”: “< 2.0.0”
}
}

Berkshelf or Librarian:

cookbook ‘apache2’, ‘< 2.0.0’

– Sander


#2

On Wed, Aug 6, 2014 at 8:27 PM, Sander van Zoest sander@vanzoest.com wrote:

Hi everyone,

It has been a long time coming, but the day has finally come! It has been
about 10 months since the OneHealth team started working on Apache 2.4
support in the apache2 cookbook. I am glad to announce that with all of your
feedback and support we are ready to release this work.

There is still plenty to do for the cookbook and welcome any feedback for
future releases, but it is a great milestone to get this released. The
cookbook still supports apache httpd 2.2, however, it does it in a more 2.4
compatible way. Because of this some configuration files and directives will
not load correctly without making updates to your templates and cookbooks.

We have bumped the major version number to reflect the significant amount of
changes and incompatibility you may experience. It may be a drop in
replacement for some, but very likely not for many of you. It is unlikely
this new version is fully compatible with your existing cookbooks!

Please look at the CHANGELOG for an overview of the changes.

You should lock your infrastructure at apache2 < 2.0.0 until you are ready
to upgrade.

Environment locks:

{
“cookbook_versions”: {
“apache2”: “< 2.0.0”
}
}

Berkshelf or Librarian:

cookbook ‘apache2’, ‘< 2.0.0’

– Sander


#3

Congratulations for this release! Going to test and use it now!

On Wed, Aug 6, 2014 at 9:27 PM, Sander van Zoest sander@vanzoest.com
wrote:

Hi everyone,

It has been a long time coming, but the day has finally come! It has been
about 10 months since the OneHealth team started working on Apache 2.4
support in the apache2 cookbook. I am glad to announce that with all of
your feedback and support we are ready to release this work.

There is still plenty to do for the cookbook and welcome any feedback for
future releases, but it is a great milestone to get this released. The
cookbook still supports apache httpd 2.2, however, it does it in a more 2.4
compatible way. Because of this some configuration files and directives
will not load correctly without making updates to your templates and
cookbooks.

We have bumped the major version number to reflect the significant amount
of changes and incompatibility you may experience. It may be a drop in
replacement for some, but very likely not for many of you. It is
unlikely this new version is fully compatible with your existing cookbooks!

Please look at the CHANGELOG
https://github.com/onehealth-cookbooks/apache2/blob/v2.0.0/CHANGELOG.md
for an overview of the changes.

You should lock your infrastructure at apache2 < 2.0.0 until you are
ready to upgrade.

Environment locks:

{
“cookbook_versions”: {
“apache2”: “< 2.0.0”
}
}

Berkshelf or Librarian:

cookbook ‘apache2’, ‘< 2.0.0’

– Sander


“Lute pela sua ideologia. Seja um com sua ideologia. Viva pela sua
ideologia. Morra por sua ideologia” P.R. Sarkar

EITA - Educação, Informação e Tecnologias para Autogestão
http://cirandas.net/brauliobo
http://eita.org.br

"Paramapurusha é meu pai e Parama Prakriti é minha mãe. O universo é meu
lar e todos nós somos cidadãos deste cosmo. Este universo é a imaginação da
Mente Macrocósmica, e todas as entidades estão sendo criadas, preservadas e
destruídas nas fases de extroversão e introversão do fluxo imaginativo
cósmico. No âmbito pessoal, quando uma pessoa imagina algo em sua mente,
naquele momento, essa pessoa é a única proprietária daquilo que ela
imagina, e ninguém mais. Quando um ser humano criado mentalmente caminha
por um milharal também imaginado, a pessoa imaginada não é a propriedade
desse milharal, pois ele pertence ao indivíduo que o está imaginando. Este
universo foi criado na imaginação de Brahma, a Entidade Suprema, por isso
a propriedade deste universo é de Brahma, e não dos microcosmos que também
foram criados pela imaginação de Brahma. Nenhuma propriedade deste mundo,
mutável ou imutável, pertence a um indivíduo em particular; tudo é o
patrimônio comum de todos."
Restante do texto em